> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/embedded-wallets/refresh-asset-balance",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Refresh asset balance

> Refresh the balance of an asset in a specific account



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml put /ncw/wallets/{walletId}/accounts/{accountId}/assets/{assetId}/balance
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /ncw/wallets/{walletId}/accounts/{accountId}/assets/{assetId}/balance:
    put:
      tags:
        - Embedded Wallets
      summary: Refresh asset balance
      description: Refresh the balance of an asset in a specific account
      operationId: RefreshEmbeddedWalletAssetBalance
      parameters:
        - $ref: '#/components/parameters/X-Idempotency-Key'
        - in: path
          name: walletId
          description: Wallet Id
          example: 550e8400-e29b-41d4-a716-446655440000
          required: true
          schema:
            type: string
        - in: path
          name: accountId
          description: The ID of the account
          example: '0'
          required: true
          schema:
            type: string
        - name: assetId
          required: true
          description: The ID of the asset
          example: BTC
          in: path
          schema:
            type: string
            x-fb-entity: asset
      responses:
        '200':
          description: Successful response
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmbeddedWalletAssetBalance'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<EmbeddedWalletAssetBalance>> =
            fireblocks.embeddedWallets.refreshEmbeddedWalletAssetBalance(embeddedWalletsApiRefreshEmbeddedWalletAssetBalanceRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<EmbeddedWalletAssetBalance>> response
            =
            fireblocks.embeddedWallets().refreshEmbeddedWalletAssetBalance(walletId,
            accountId, assetId, idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.embedded_wallets.refresh_embedded_wallet_asset_balance(wallet_id,
            account_id, asset_id, idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    EmbeddedWalletAssetBalance:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the asset balance entry
          example: BTC-mainnet-acc-01
        total:
          type: string
          description: >-
            Total balance amount for the asset in the account (including
            pending, locked, and available)
          example: '0.87500000'
        available:
          type: string
          description: The balance available for use or withdrawal
          example: '0.84500000'
        pending:
          type: string
          description: >-
            Amount pending confirmation from blockchain (e.g., unconfirmed
            deposits)
          example: '0.01500000'
        frozen:
          type: string
          description: Balance that is frozen due to policy or regulatory lock
          example: '0.00500000'
        lockedAmount:
          type: string
          description: Funds locked for operations such as staking or delegation
          example: '0.01000000'
        blockHeight:
          type: string
          description: Latest known blockchain height when balance was fetched
          example: '8459341'
        blockHash:
          type: string
          description: >-
            Hash of the blockchain block associated with the current balance
            state
          example: 0000000000000000000769e73a0b8f32a6c5d55e0d64f9ec20c6c3d4e5a9a3f1
        rewardInfo:
          $ref: '#/components/schemas/EmbeddedWalletAssetRewardInfo'
      required:
        - id
        - total
        - available
        - pending
        - frozen
        - lockedAmount
    EmbeddedWalletAssetRewardInfo:
      type: object
      properties:
        pendingRewards:
          type: string
          description: Amount that is pending for rewards
          example: '5'
      required:
        - pendingRewards
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````